Opened 10 years ago

Closed 10 years ago

#26590 closed defect (fixed)

mkvtoolnix needs a rev bump due to updated boost

Reported by: kurtjaeke@… Owned by: ruud@…
Priority: Normal Milestone:
Component: ports Version: 1.9.1
Keywords: Cc: ryandesign (Ryan Schmidt)
Port: mkvtoolnix

Description

mkvtoolnix depends on boost, so, after installing a new version of boost, I recieve the following error:

dyld: Library not loaded: /opt/local/lib/libboost_filesystem-d.dylib
  Referenced from: /opt/local/bin/mkvmerge
  Reason: image not found

As always, rebuilding mkvtoolnix helps.

Change History (4)

comment:1 Changed 10 years ago by jmroot (Joshua Root)

Owner: changed from macports-tickets@… to ruud@…
Summary: mkvtoolnix depends on boostmkvtoolnix needs a rev bump due to updated boost

Please remember to cc the maintainer.

comment:2 Changed 10 years ago by ruud@…

I'll take a look at it later tonight or tomorrow. It may take a bit longer as there are some dependency bumps for mkvtoolnix as well.

comment:3 Changed 10 years ago by ruud@…

Submitted a new Portfile in #26647.

comment:4 Changed 10 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… added
Resolution: fixed
Status: newclosed

Fixed by updating the version.

Note: See TracTickets for help on using tickets.